#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;

    vector<int> a(n);
    vector<int> b(n);

    for (int i = 1; i <= n; i++) {
        a[i - 1] = (2 * i - 1);
        b[i - 1] = (2 * i);
    }

    for (int i = 0; i < n; i++) cout << a[i] << " ";
    cout << "\n";
    for (int i = 0; i < n; i++) cout << b[i] << " ";

    return 0;
}